---
title: Payment Methods
slug: payment-methods
docTags: 
createdAt: 2025-05-02T10:40:00.252Z
---

Payment methods api returns a list of supported payment methods and their names given `clientId` and `type`. The `type` parameter can take in string values like `CHECKOUT`  or `PAYOUT`.&#x20;

The response is a list of payment methods which has&#x20;

1. `paymentMethodKey` is a string which specifies payment type that can be passed in [create payout order](docId\:cz-cuTNjfgEFE_EokAwiO) and [open checkout](docId\:Wr9g8-0vvAo95lsm3g1ye)
2. `paymentMethod` is the name of the payment method key
3. `currencyId` is the currency for which the payment method is supported. eg: `brl_bz` is Brazilian Real&#x20;

:::ApiMethodV2
```json
{
  "name": "Get Payment Methods",
  "method": "GET",
  "url": "https://your-hostname.pay3.app/v2/client/payment-methods?clientId=your-client-id&type=type",
  "description": "Get order details by client's request-id",
  "tab": "examples",
  "examples": {
    "languages": [
      {
        "id": "bRKPtJIoiXMBYsHZXcnZI",
        "language": "curl",
        "code": "curl --location 'https://your-hostname.pay3.app/v2/client/payment-methods?clientId=your-client-id&type=type' \\\n--header 'Accept: application/json' \\\n--header 'Content-Type: application/json'",
        "customLabel": ""
      }
    ],
    "selectedLanguageId": "bRKPtJIoiXMBYsHZXcnZI"
  },
  "results": {
    "languages": [
      {
        "id": "GC_lbEEV7Jo_hgFNI1cHK",
        "language": "200",
        "customLabel": "",
        "code": "{\n  \"PaymentMethods\": [\n    {\n      \"paymentMethodKey\": \"boleto\",\n      \"paymentMethod\": \"Boleto\",\n      \"currencyId\": \"brl_bz\"\n    },\n    {\n      \"paymentMethodKey\": \"pix\",\n      \"paymentMethod\": \"Pix\",\n      \"currencyId\": \"brl_bz\"\n    },\n    {\n      \"paymentMethodKey\": \"credit_card\",\n      \"paymentMethod\": \"Credit Card\",\n      \"currencyId\": \"brl_bz\"\n    }\n  ]\n}"
      },
      {
        "id": "Ybev9LI4TwGz-n2zW-919",
        "language": "401",
        "customLabel": "",
        "code": "{\"error\":\"Client verification failed\"}"
      }
    ],
    "selectedLanguageId": "GC_lbEEV7Jo_hgFNI1cHK"
  },
  "request": {
    "pathParameters": [],
    "queryParameters": [
      {
        "name": "clientId",
        "kind": "required",
        "type": "string",
        "description": "Client Id",
        "children": []
      },
      {
        "name": "type",
        "kind": "required",
        "type": "string",
        "description": "can take values either CHECKOUT or PAYOUT",
        "children": []
      }
    ],
    "headerParameters": [],
    "bodyDataParameters": [],
    "formDataParameters": []
  },
  "currentNewParameter": {
    "label": "Query Parameter",
    "value": "queryParameters"
  },
  "hasTryItOut": false,
  "autoGeneratedAnchorSlug": "get-payment-methods",
  "legacyHash": "Ho9iJEC_JPPN0AYuwz2_u"
}
```
:::

***

